The 2.0.2 release is yet again for the Debian Jessie release cycle. It fixes numerous and critical bugs, most notably that selecting the UID didn't work at all on the commandline (it would choose the wrong UID). Some fixes for issues mentionned on this mailing list were also adressed, albeit partially.

I had pre-approved this upload with the release team (in #771033), but it is possible that the unblock gets refused in which case a new release may be rolled out with less fixes. At this point, the 2.x and 2.0.x branches are practically identical as all 2.x fixes were merged in 2.0.2.

Monkeysign is a user-friendly tool to easily and securely exchange OpenPGP key certifications. See the homepage for more information.

To install monkeysign on Debian unstable, simply run:

sudo apt-get install monkeysign

For users of other Linux distributions, use:

git clone git://git.monkeysphere.info/monkeysign
cd monkeysign
sudo ./setup.py install --record=install.log

For more information, see the homepage.

Detailed list of changes since monkeysign-2.0.1:

  • reported in the Debian BTS:
    • encode prompt properly before prompting (closes: #771032)
    • try to handle error when import actually works in GTK UI (closes: #770900)
    • improve debugging by wrapping all writes to gnupg in debug
    • use the proper index when selecting key to sign (closes: #771034)
  • reported on the Monkeysphere mailing list:
    • hotfix: properly verify the image signature file
    • hotfix: disable scrolling in qrcode window
    • don't try to remove non-existent video device, and clarify error message
    • output --version to stdout and don't make it an error
  • those fix FTBS issues:
    • fix tests after cd4e18c: guess encoding properly
    • update zack's key so tests succeed again
  • and this makes sure this package will be easier to support for the lifetime of jessie
    • improve error handling again: distinguish different failure cases and clearly transmit GPG errors

Enjoy!